from tests.base_test import TestBase
from os import environ
from warnings import warn


class TestEnv(TestBase):
    """ Tests environment variables used within the projects domain are
        set in the correct environment
    """
    VARS = ['ENVIRON', 'APPSECRET', 'FILESTORE']

    ENV_STATES = ['test', 'prod']

    def test_env_vars(self):
        """ Test that required environment variables are set
            ahead of runtime
        """
        for var in self.VARS:
            env = environ.get(var)

            # Check to see what variable we are comparing
            if env is None:
                warn(f"Variable {var} is not set!")

    def test_environment_var_state(self):
        """ Tests that the 'ENVIRON' Environment variable
            is in a correct state
        """
        var = self.old_env
        assert var is not None
        assert (var in self.ENV_STATES)
